package com.ruoyi.project.statistics.service.impl;

import com.ruoyi.project.statistics.domain.Statistics;
import com.ruoyi.project.statistics.mapper.StatisticsMapper;
import com.ruoyi.project.statistics.service.IStatisticsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class IStatisticsServiceImpl implements IStatisticsService {
    @Autowired
    private StatisticsMapper statisticsMapper;

    @Override
    public List<Statistics> countPlant(Statistics statistics) {
        return statisticsMapper.countPlant(statistics);
    }

    @Override
    public Statistics countDevice(Statistics statistics) {
        return statisticsMapper.countDevice(statistics);
    }

    @Override
    public List<Statistics> countPoint(Statistics statistics) {
        return statisticsMapper.countPoint(statistics);
    }

    @Override
    public List<Statistics> countXlcd(Statistics statistics) {
        return statisticsMapper.countXlcd(statistics);
    }

    @Override
    public List<Statistics> countPfl(Statistics statistics) {
        return statisticsMapper.countPfl(statistics);
    }

    @Override
    public List<Statistics> countXlcdByPoint(Statistics statistics) {
        return statisticsMapper.countXlcdByPoint(statistics);
    }
}
